Ask Your Question
0

Cannot upgrade some packages: Error unpacking rpm package nodejs*

asked 2016-03-15 09:55:15 -0600

mikechav gravatar image

updated 2016-04-06 12:51:16 -0600

hhlp gravatar image

I'm basically getting the same error on each node dependency. I'm using Fedora 23, and some dependencies are still on Fedora 21.

Running transaction
  Upgrading   : nodejs-inherits-2.0.1-6.fc23.noarch                                                           1/50 
Error unpacking rpm package nodejs-inherits-2.0.1-6.fc23.noarch
Error unpacking rpm package nodejs-inherits-2.0.1-6.fc23.noarch
error: unpacking of archive failed on file /usr/lib/node_modules/inherits: cpio: rename
  Upgrading   : nodejs-fstream-0.1.24-3.fc23.noarch                                                           2/50 
Error unpacking rpm package nodejs-fstream-0.1.24-3.fc23.noarch
Error unpacking rpm package nodejs-fstream-0.1.24-3.fc23.noarch
error: nodejs-inherits-2.0.1-6.fc23.noarch: install failed
error: unpacking of archive failed on file /usr/lib/node_modules/fstream/node_modules/graceful-fs: cpio: rename
  Upgrading   : nodejs-glob-3.2.6-3.fc23.noarch                                                               3/50 
Error unpacking rpm package nodejs-glob-3.2.6-3.fc23.noarch
Error unpacking rpm package nodejs-glob-3.2.6-3.fc23.noarch
error: nodejs-fstream-0.1.24-3.fc23.noarch: install failed
error: unpacking of archive failed on file /usr/lib/node_modules/glob/node_modules/inherits: cpio: rename
  Upgrading   : nodejs-nopt-2.1.2-3.fc23.noarch                                                               4/50 
Error unpacking rpm package nodejs-nopt-2.1.2-3.fc23.noarch
Error unpacking rpm package nodejs-nopt-2.1.2-3.fc23.noarch
error: nodejs-glob-3.2.6-3.fc23.noarch: install failed
error: unpacking of archive failed on file /usr/lib/node_modules/nopt/node_modules/abbrev: cpio: rename
  Upgrading   : nodejs-block-stream-0.0.7-3.fc23.noarch                                                       5/50 
Error unpacking rpm package nodejs-block-stream-0.0.7-3.fc23.noarch
Error unpacking rpm package nodejs-block-stream-0.0.7-3.fc23.noarch
error: nodejs-nopt-2.1.2-3.fc23.noarch: install failed
error: unpacking of archive failed on file /usr/lib/node_modules/block-stream/node_modules/inherits: cpio: rename
  Upgrading   : nodejs-tar-0.1.18-3.fc23.noarch                                                               6/50 
Error unpacking rpm package nodejs-tar-0.1.18-3.fc23.noarch
Error unpacking rpm package nodejs-tar-0.1.18-3.fc23.noarch
error: nodejs-block-stream-0.0.7-3.fc23.noarch: install failed
error: unpacking of archive failed on file /usr/lib/node_modules/tar/node_modules/block-stream: cpio: rename
  Upgrading   : nodejs-read-1.0.5-3.fc23.noarch                                                               7/50 
Error unpacking rpm package nodejs-read-1.0.5-3.fc23.noarch
Error unpacking rpm package nodejs-read-1.0.5-3.fc23.noarch
error: nodejs-tar-0.1.18-3.fc23.noarch: install failed
error: unpacking of archive failed on file /usr/lib/node_modules/read/node_modules/mute-stream: cpio: rename
  Upgrading   : nodejs-npmlog-0.0.4-4.fc23.noarch                                                             8/50 
Error unpacking rpm package nodejs-npmlog-0.0.4-4.fc23.noarch
Error unpacking rpm package nodejs-npmlog-0.0.4-4.fc23.noarch
error: nodejs-read-1.0.5-3.fc23.noarch: install failed
error: unpacking of archive failed on file /usr/lib/node_modules/npmlog/node_modules/ansi: cpio: rename
  Upgrading   : nodejs-boom-0.4.2-5.fc23.noarch                                                               9/50 
Error unpacking rpm package nodejs-boom-0.4.2-5.fc23.noarch
Error unpacking rpm package nodejs-boom-0.4.2-5.fc23.noarch
error: nodejs-npmlog-0.0.4-4.fc23.noarch: install failed
error: unpacking of archive failed on file /usr/lib/node_modules/boom/node_modules/hoek: cpio: rename
  Upgrading   : nodejs-cryptiles-0.2.2-3.fc23.noarch                                                         10/50 
Error unpacking rpm package nodejs-cryptiles-0.2.2-3.fc23.noarch
Error unpacking rpm package nodejs-cryptiles-0.2.2-3.fc23.noarch
error: nodejs-boom-0.4.2-5.fc23.noarch: install failed
error: unpacking of archive failed on file /usr/lib ...
(more)
edit retag flag offensive close merge delete

Comments

Remove all f21 packages then install nodejs and all you require.

aeperezt gravatar imageaeperezt ( 2016-03-15 10:25:54 -0600 )edit

Yeah, forgot to mention that doing that removes other packages also (dnf marks 99 packages)

mikechav gravatar imagemikechav ( 2016-03-16 07:48:51 -0600 )edit

3 Answers

Sort by » oldest newest most voted
2

answered 2016-03-25 12:25:15 -0600

mikechav gravatar image

Deleted node_modules from /usr/lib/ and the upgrade transaction went fine

edit flag offensive delete link more
1

answered 2016-03-25 14:18:18 -0600

genodeftest gravatar image

If you are having Fedora 21 packages you should run dnf distro-sync.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2016-03-15 09:55:15 -0600

Seen: 3,764 times

Last updated: Apr 06 '16